function X = delete_sequences(X,p,s)
%DELETE_VALUES Deletes random sequences from a dataset of univariate time
%series
%   s=[] or s=1: delete any value with probability p
%   s > 1: delete subsequences of maximum length s with probability p
%          multiple deleted subsequences may overlap and build longer
%          deleted subsequences

if nargin < 2
    p=0.1;
end
if nargin < 3 || isempty(s)
    s=1;
end

[N,n] = size(X);

for i = 1:N
    x = X(i,:);
    for j = 1:n-s+1
        r = rand;
        if r<p %delete
            l=randi(s); % length of subsequence to delete
            x(j:j+l-1)=NaN;
        end
    end
    X(i,:)=x;
end



end

